POST
/
oauth
/
token
Token Endpoint
curl --request POST \
  --url https://api.digitalseaservice.com/oauth/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'grant_type=<string>' \
  --data 'code=<string>' \
  --data 'redirect_uri=<string>' \
  --data 'client_id=<string>' \
  --data 'client_secret=<string>' \
  --data 'code_verifier=<string>' \
  --data 'refresh_token=<string>' \
  --data 'scope=<string>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/x-www-form-urlencoded
grant_type
string | null
code
string | null
redirect_uri
string | null
client_id
string | null
client_secret
string | null
code_verifier
string | null
refresh_token
string | null
scope
string | null

Response

Successful Response